Sonic Visualiser - Bug #1774
Peak-frequency spectrogram taking long (infinite?) amount of time to appear
2017-01-11 10:56 AM - Chris Cannam

Status: Closed Start date: 2017-01-11
Priority: Urgent Due date:

Assignee: Chris Cannam % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Load an audio file, scroll toward the end of the file, hit the K button for the peak-frequency spectrogram. Notice that all that appears is
a black pane.

(Windows, 64-bit, v3.0beta1)

History

#1 - 2017-01-16 04:13 PM - Chris Cannam
This turned out to have been caused by the change to the Colour3DPlotRenderer::getColumn function signature. | changed its fourth argument from
bool to int but forgot that C++ (even a modern compiler with all warnings turned on) will happily silently convert bool to int at the call site without issuing

a warning. So | had missed updating some of the callers. (At least the function was private!)

Anyway, this meant it was trying to use an 8-column-per-peak peak cache for the peak-frequency spectrogram where a 1-1 pixel-to-column relationship
was actually needed. So it only ever rendered the width of the first eighth of the file, and it rendered the whole file contents into it, slightly wrongly.

Fixed in commit:5bd171b9278¢

#2 - 2017-01-16 04:13 PM - Chris Cannam

- Status changed from New to Resolved

#3 - 2017-03-03 12:03 PM - Chris Cannam

- Status changed from Resolved to Closed
